[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'LazHelpHTML' (#lcl)

# TOnFindDefaultBrowser

Specifies an event handler signalled to get the browser application name and parameters.

## Declaration

Source position: lazhelphtml.pas line 89

`type TOnFindDefaultBrowser = procedure(`
`var DefaultBrowser: string;`
`var Params: string`
`) of object;`

## Arguments

`DefaultBrowser` |  | Path to the default browser application used for HTML help topics.
`Params` |  | Command line parameters for the browser application needed to open and display the HTML help topic.

## Description

TOnFindDefaultBrowser is an object procedure which defines the event handler signalled to find a help browser for HTML help topics. Applications can implement an object procedure using this signature to assign values to the DefaultBrowser and Params arguments. TOnFindDefaultBrowser is the type used to implement the OnFindDefaultBrowser event handler in THTMLBrowserHelpViewer.

## See also

THTMLBrowserHelpViewer.OnFindDefaultBrowser |  | Event handler signalled to find the default browser for the help viewer.